/* 
 * openFifo.c
 * cc openFifo.c -arch i486 -arch m68k -arch hppa -arch sparc -O -o openFifo
 * 
 * utility program to open the GateKeeper FIFO at start-up
 *
 * Copyright 1998 Uli Zappe <uli@nexttoyou.de>
 * Distributed under the terms of the GNU General Public License
 */


#include <fcntl.h>	// O_RDONLY
#include <stdio.h>	// stderr
#include <errno.h>	// errno

int main(int argc, char **argv)
{
	int	fd, pid;
	
	if(argc!=2 || !strchr(argv[1],'/'))
	{
		fprintf(stderr,"openFifo: Usage: openFifo /path/to/FIFO\n");
		exit(-1);
	}
	
	if((fd=open(argv[1],O_RDONLY))<0)
	{
		fprintf(stderr, "openFifo: Cannot open %s: %s\n",
				argv[1], strerror(errno));
		exit(-1);
	}
	
	sleep(1);
	close(fd);
	
	return 0;
}

